﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Telerik.Windows.Data;

namespace TreeListViewExample_WPF_NoXAML
{
	public class MyViewModel
	{
		public RadObservableCollection<WarehouseItem> MyWareHouseItems { get; set; }

		public MyViewModel()
		{
			this.MyWareHouseItems = GetWarehouseData();
		}

		private RadObservableCollection<WarehouseItem> GetWarehouseData()
		{
			RadObservableCollection<WarehouseItem> data = new RadObservableCollection<WarehouseItem>();
			for (int i = 0; i < 5; i++)
			{
				WarehouseItem drinks = new WarehouseItem("_Drinks" + i, 1, new DateTime(2011, 12, 1), true, true);
				drinks.Items.Add(new WarehouseItem("Water" + i, 20, new DateTime(2011, 12, 2), false, false));
				WarehouseItem tea = new WarehouseItem("Tea" + i, 20, new DateTime(2011, 12, 3), true, true);
				tea.Items.Add(new WarehouseItem("Black" + i, 30, new DateTime(2011, 12, 4), false, false));
				tea.Items.Add(new WarehouseItem("Green" + i, 30, new DateTime(2011, 12, 5), false, false));
				drinks.Items.Add(tea);

				WarehouseItem other = new WarehouseItem("Mint" + i, 30, new DateTime(2011, 12, 6), true, false);
				other.Items.Add(new WarehouseItem("Mint and lemon" + i, 40, new DateTime(2011, 12, 7), false, false));
				other.Items.Add(new WarehouseItem("Mint and orange" + i, 40, new DateTime(2011, 12, 8), false, false));
				tea.Items.Add(other);
				data.Add(drinks);

				WarehouseItem vegetables = new WarehouseItem("Vegetables" + i, 40, new DateTime(2011, 12, 9), true, false);
				vegetables.Items.Add(new WarehouseItem("Tomato" + i, 50, new DateTime(2011, 12, 10), false, false));
				vegetables.Items.Add(new WarehouseItem("Carrot" + i, 50, new DateTime(2011, 12, 11), false, false));
				vegetables.Items.Add(new WarehouseItem("Onion" + i, 50, new DateTime(2011, 12, 12), false, false));
				data.Add(vegetables);

				WarehouseItem fruits = new WarehouseItem("Fruits" + i, 50, new DateTime(2011, 12, 13), true, false);
				fruits.Items.Add(new WarehouseItem("Cherry" + i, 60, new DateTime(2011, 12, 14), false, false));
				fruits.Items.Add(new WarehouseItem("Apple" + i, 60, new DateTime(2011, 12, 15), false, false));
				fruits.Items.Add(new WarehouseItem("Melon" + i, 60, new DateTime(2011, 12, 16), false, false));
				data.Add(fruits);
			}
			return data;
		}
	}
}